---
layout: default
title: The benefits of single application CI/CD
suppress_header: true
extra_css:
  - styles-2018.css
destination_url: "https://learn.gitlab.com/c/the-benefits-of-sing?x=eK9OiC&lb_email="
form_id: "1002"
form_type: "resources"
cta_title: "Download the eBook"
cta_date: 
cta_subtitle: 
link_text: "Click here to download the eBook."
success_message: "You will also receive an copy of the eBook sent to your inbox shortly."
---

.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        %h1.page-headline The benefits of single application CI/CD
        %h2.page-headline Building better, faster software without the toolchain

  .content-container
    .wrapper.container{ role: "main" }
      .row
        .col-xs-12.col-md-6.col-md-offset-1
          .content-section
            %p Continuous Integration and Delivery (CI/CD) has changed the way we build, test, and deploy software. Releases that happened weekly, monthly, or more, can now be pushed several times a day.
            
            %p In order to take advantage of all that CI/CD has to offer, DevOps teams should vet solutions carefully and minimize toolchain complexity. This ebook shows how a single application optimizes workflows so teams can get the most out of their CI/CD.

            %h3 What you’ll learn in this eBook:
            %ul
              %li Advantages of Continuous Integration and Delivery
              %li Single application CI/CD versus traditional CI/CD
              %li How GitLab CI/CD compares to other tools

            %p Download the ebook to learn how you can utilize CI/CD without the costly integrations or plug-in maintenance.

        .col-md-4.col-md-offset-1
          = partial "includes/form-to-resource", locals: { destination_url: current_page.data.destination_url, form_id: current_page.data.form_id, form_type: current_page.data.form_type, cta_title: current_page.data.cta_title, cta_date: current_page.data.cta_date, cta_subtitle: current_page.data.cta_subtitle, link_text: current_page.data.link_text, success_message: current_page.data.success_message }
